Subject: [PATCH 0/6] mfd: 88pm800: Add 88pm860 device support

From: [email-masked] (Vaibhav Hiremath)
Date: Fri, 10 Jul 2015 17:33:14 +0530

On Thursday 09 July 2015 06:58 PM, Krzysztof Kozlowski wrote:
> 2015-07-09 21:53 GMT+09:00 Vaibhav Hiremath <[email-masked]>:
>>
>>
>> On Thursday 09 July 2015 06:14 PM, Vaibhav Hiremath wrote:
>>>
>>>
>>>
>>> On Thursday 09 July 2015 05:34 PM, Krzysztof Kozlowski wrote:
>>>>
>>>> 2015-07-09 20:47 GMT+09:00 Vaibhav Hiremath
>>>> <[email-masked]>:
>>>>>
>>>>> 88PM860 falls under 88pm800 family of devices, with some feature
>>>>> additions, for example, support for dual phase on BUCK1.
>>>>
>>>>
>>>> Hi,
>>>>
>>>> There are already drivers for 88PM860: mfd, charger and battery. Isn't
>>>> you duplicating existing code?
>>>>
>>>
>>> Can you please point me to MFD driver for 88PM860 (Not the charger and
>>> battery, as I treat them subdevice) ???
>>>
>>> I do not think 88PM860 MFD driver is supported already. Correct me if I
>>> am wrong.
>>>
>>
>> If you are referring to 88pm860x driver, then the answer is NO,
>> as they both are totally different.
>
> I am confused... so the driver drivers/mfd/88pm860x-core.c and its
> child drivers do not support 88pm860 device? They support 88pm860x
> device which is totally different than 88pm860 device?
>

Yes, that's correct.
That's my understanding as well.

Thanks,
Vaibhav